diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index bf7cbb6..e90e9b9 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -73241,25 +73241,25 @@ List(S:Type): Exports == Implementation where
         OMwrite(x: %): String ==
           s: String := ""
           sp := OM_-STRINGTOSTRINGPTR(s)$Lisp
-          dev: OpenMathDevice := OMopenString(sp pretend String, OMencodingXML)
+          dev: OpenMathDevice := OMopenString(sp @ String, OMencodingXML)
           OMputObject(dev)
           writeOMList(dev, x)
           OMputEndObject(dev)
           OMclose(dev)
-          s := OM_-STRINGPTRTOSTRING(sp)$Lisp pretend String
+          s := OM_-STRINGPTRTOSTRING(sp)$Lisp @ String
           s
 
         OMwrite(x: %, wholeObj: Boolean): String ==
           s: String := ""
           sp := OM_-STRINGTOSTRINGPTR(s)$Lisp
-          dev: OpenMathDevice := OMopenString(sp pretend String, OMencodingXML)
+          dev: OpenMathDevice := OMopenString(sp @ String, OMencodingXML)
           if wholeObj then
             OMputObject(dev)
           writeOMList(dev, x)
           if wholeObj then
             OMputEndObject(dev)
           OMclose(dev)
-          s := OM_-STRINGPTRTOSTRING(sp)$Lisp pretend String
+          s := OM_-STRINGPTRTOSTRING(sp)$Lisp @ String
           s
 
         OMwrite(dev: OpenMathDevice, x: %): Void ==
diff --git a/buglist b/buglist
index 131b554..aaebdd2 100644
--- a/buglist
+++ b/buglist
@@ -5,13 +5,22 @@ todo 330:
 wish 1011:
 meh 5:
 errors 10016:
-warnings 20569:
+warnings 20570:
 macros 30234:
 typos 40363:
 dup 50006:
 nonextend 60077:
 
 =========================================================================
+warnings 20569:
+
+>compiling LIST.spad to LIST.nrlib
+ 
+   Warnings: 
+      [1] setIntersection:  u has no value
+      [2] setDifference:  lu has no value
+ 
+=========================================================================
 warnings 20568:
 
 >compiling MFLOAT.spad to MFLOAT.nrlib
@@ -13908,16 +13917,6 @@ warnings 20064:
       [1] split:  j has no value
  
 =========================================================================
-warnings 20063:
-
->compiling LIST.spad to LIST.nrlib
- 
-   Warnings: 
-      [1] OMwrite: pretend(String) -- should replace by @
-      [2] setIntersection:  u has no value
-      [3] setDifference:  lu has no value
- 
-=========================================================================
 warnings 20062:
 
 >compiling LSAGG.spad to LSAGG.nrlib
@@ -40540,6 +40539,7 @@ warnings 20057:
       [1] OMwrite: pretend(String) -- should replace by @
       [2] **: pretend(Integer) -- should replace by @
 
+fixed 20130314.09.tpd.patch
 =========================================================================
 warnings 20383:
 
@@ -40557,6 +40557,7 @@ dup 50005:
 
 Warning: SMTS;stream has a duplicate definition in this file
 
+fixed 20130314.10.tpd.patch
 =========================================================================
 warnings 20001:
 
@@ -40568,3 +40569,14 @@ warnings 20001:
       [7] retractIfCan: pretend(Integer) -- should replace by @
       [8] +: pretend(Integer) -- should replace by @
  
+fixed 20130315.01.tpd.patch
+=========================================================================
+warnings 20063:
+
+>compiling LIST.spad to LIST.nrlib
+ 
+   Warnings: 
+      [1] OMwrite: pretend(String) -- should replace by @
+      [2] setIntersection:  u has no value
+      [3] setDifference:  lu has no value
+ 
diff --git a/changelog b/changelog
index fa951a8..bf89804 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130315 tpd src/axiom-website/patches.html 20130315.01.tpd.patch
+20130315 tpd buglist LIST fix 20063, add, add 20569
+20130315 tpd books/bookvol10.3 LIST fix 20063, add, add 20569
 20130314 tpd src/axiom-website/patches.html 20130314.11.tpd.patch
 20130314 tpd books/bookvol2 Axiom and Category Theory chapter
 20130314 tpd src/axiom-website/patches.html 20130314.10.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index fcbba16..140d9eb 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4051,5 +4051,7 @@ books/bookvol10.3 SMTS fix 20383, 50005, add 20567
 books/bookvol10.3 MLIFT fix 20001, add 20568
 <a href="patches/20130314.11.tpd.patch">20130314.11.tpd.patch</a>
 books/bookvol2 Axiom and Category Theory chapter
+<a href="patches/20130315.01.tpd.patch">20130315.01.tpd.patch</a>
+books/bookvol10.3 LIST fix 20063, add, add 20569
  </body>
 </html>
